Bug 692658 - [PATCH] evolution can't load caldav calendars with a space in their name
[PATCH] evolution can't load caldav calendars with a space in their name
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: EasyFix, Patch
Depends On: 883014
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-31 15:23 EDT by Marc Milgram
Modified: 2014-01-02 05:50 EST (History)
3 users (show)

See Also:
Fixed In Version: evolution-data-server-2.32.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 23:59:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 607812 None None None Never

  None (edit)
Description Marc Milgram 2011-03-31 15:23:53 EDT
Description of problem:
evolution is unable to access caldav calenars that have a space in their name.

Version-Release number of selected component (if applicable):
evolution-2.28.3-20.el6.x86_64
evolution-data-server-2.28.3-15.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. In Evolution, select New->Calendar
2. Select Type CalDAV
3. Give it any name
4. Specify a URL with a space in the name
5. Specify a Username
6. Hit OK
7. Try to display the calendar
8. Try to add an event to the calendar
  
Actual results:
Events in the calendar are never displayed.

Expected results:
Calendar works normally
Comment 2 Marc Milgram 2011-03-31 15:29:18 EDT
This works correctly in RHEL5, but is broken in RHEL6.
It appears to translate the space into %2520.  It should be translated to %20.

Web calendars work correctly in RHEL 6, but don't allow for updating the calendar.
Comment 4 Milan Crha 2011-04-01 02:03:06 EDT
Thanks for a bug report. This [1] is an upstream bug about similar issue with a fix [2] which helps here, for the eds side. There is also mentioned one commit in evolution, but I would skip it, it's too intrusive.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=607812
[2] http://git.gnome.org/browse/evolution-data-server/commit/?id=ed729af
Comment 5 Milan Crha 2011-04-01 02:15:10 EDT
I tested the commit on its own and it works as expected, calendar can be opened with it.
Comment 6 RHEL Product and Program Management 2011-04-03 22:09:21 EDT
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 7 Milan Crha 2013-05-09 08:52:32 EDT
All required changes are part of 2.32.3 of eds and evo, thus I make this depend on the rebase bugs.
Comment 16 errata-xmlrpc 2013-11-20 23:59:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.